<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>OBStandardView (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OBStandardView (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10,"i61":10,"i62":10,"i63":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindowForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStatusBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" target="_top">Frames</a></li>
<li><a href="OBStandardView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.client.application.gui</div>
<h2 title="Class OBStandardView" class="title">Class OBStandardView&lt;T extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.client.application.gui.OBStandardView&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">OBStandardView&lt;T extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&gt;</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></pre>
<div class="block">Executes actions on OpenbravoERP standard view built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#FORMAT_SMART_CLIENT_GET_LOCATOR">FORMAT_SMART_CLIENT_GET_LOCATOR</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#objectString">objectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientLocator">smartClientLocator</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#OBStandardView-java.lang.String-">OBStandardView</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#OBStandardView-java.lang.String-java.lang.Boolean-">OBStandardView</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier,
              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertCount-int-">assertCount</a></span>(int&nbsp;expectedCount)</code>
<div class="block">Assert the number of records in the tab.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertData-T-">assertData</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Assert the data the selected record.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicEnabled</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;enabledDisplayLogic)</code>
<div class="block">Assert display logic enable status</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicExpanded</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;expandedDisplayLogic)</code>
<div class="block">Assert display logic expanded status</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">assertDisplayLogicVisible</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;visibleDisplayLogic)</code>
<div class="block">Assert display logic visibility</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertErrorFieldsContainIllegalValues--">assertErrorFieldsContainIllegalValues</a></span>()</code>
<div class="block">Assert that the error message was shown because some fields contain illegal values.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertErrorMessage-java.lang.String-">assertErrorMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMessage)</code>
<div class="block">Assert that an error message is shown .</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertFilterValue-java.lang.String-java.lang.Object-">assertFilterValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;expectedValue)</code>
<div class="block">Assert filter value</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertInEditMode--">assertInEditMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertInfoMessage-java.lang.String-">assertInfoMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;infoMessage)</code>
<div class="block">Assert that an info message is shown .</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertNewMode--">assertNewMode</a></span>()</code>
<div class="block">Assert that the view is in new mode.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertNotInEditMode--">assertNotInEditMode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertOnForm-T-">assertOnForm</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Assert on form view the data the selected record.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertOnGrid-T-">assertOnGrid</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Assert the data the selected grid record.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertProcessCompletedSuccessfully--">assertProcessCompletedSuccessfully</a></span>()</code>
<div class="block">Assert that the process completed successfully.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertProcessCompletedSuccessfully-java.lang.String-">assertProcessCompletedSuccessfully</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert that the process completed successfully.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertProcessCompletedSuccessfully2--">assertProcessCompletedSuccessfully2</a></span>()</code>
<div class="block">Assert that the process completed successfully.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertProcessCompletedSuccessfully2-java.lang.String-">assertProcessCompletedSuccessfully2</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert the process completed successfully message.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">assertProcessCompletedSuccessfullyContentMatch</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Assert the process completed successfully message, using regular expression to match the body.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertSaved--">assertSaved</a></span>()</code>
<div class="block">Assert that the status bar shows the saved message.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#assertWarningMessage-java.lang.String-">assertWarningMessage</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;warningMessage)</code>
<div class="block">Assert that a warning message is shown .</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#cancelOnGridWithShortcut--">cancelOnGridWithShortcut</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#clearFilters--">clearFilters</a></span>()</code>
<div class="block">Clear the filters.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#closeForm--">closeForm</a></span>()</code>
<div class="block">Close the form and wait for the grid to appear.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#closeMessageIfVisible--">closeMessageIfVisible</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#createOnGridWithContextualMenu--">createOnGridWithContextualMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#createOnGridWithShortcut--">createOnGridWithShortcut</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#deleteOnGridUsingContextualMenu--">deleteOnGridUsingContextualMenu</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#deleteOnGridWithShortcut--">deleteOnGridWithShortcut</a></span>()</code>
<div class="block">Delete the selected record from the grid using a shortcut</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#editOnForm-T-">editOnForm</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Edit the selected record from the form.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#editOnGrid-T-">editOnGrid</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Edit the selected record from the grid.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#editOnGridUsingContextualMenu-T-">editOnGridUsingContextualMenu</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Edit the selected record from the grid using the contextual menu.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#editRecord-T-">editRecord</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Edit the selected record from the form.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#fillForm-T-">fillForm</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Fill the record data on the form.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#fillRow-T-">fillRow</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Fill the edition row on the grid.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#filter-T-">filter</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Filter the grid.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getData--">getData</a></span>()</code>
<div class="block">Get the data of the selected record in this view.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getData-java.lang.String-">getData</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;field)</code>
<div class="block">Get a data field of the selected record in this tab.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getField-java.lang.String-boolean-">getField</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
        boolean&nbsp;onlyAllowTextItems)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBForm</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getForm--">getForm</a></span>()</code>
<div class="block">Get the form component.</div>
</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getMessageContents--">getMessageContents</a></span>()</code>
<div class="block">Get the contents of the message displayed in the message bar.</div>
</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#getRecordCount--">getRecordCount</a></span>()</code>
<div class="block">Get the number of records in the tab.</div>
</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#isOnFormView--">isOnFormView</a></span>()</code>
<div class="block">Returns true if this tab is on form view.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#isOnGridView--">isOnGridView</a></span>()</code>
<div class="block">Returns true if this tab is on form grid.</div>
</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#moveToNextRecordWhileEditingInGrid--">moveToNextRecordWhileEditingInGrid</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#open--">open</a></span>()</code>
<div class="block">Open the selected record.</div>
</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#openFilterDropDown-java.lang.String-">openFilterDropDown</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#openFirstRecordInFormWithDoubleClick--">openFirstRecordInFormWithDoubleClick</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#pickRecordInFilterDropDown-java.lang.String-int-">pickRecordInFilterDropDown</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                          int&nbsp;recordNo)</code>&nbsp;</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#select-T-">select</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</code>
<div class="block">Select a record.</div>
</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#selectAllRecordsOneCheckboxOnGrid--">selectAllRecordsOneCheckboxOnGrid</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#selectMultipleRecordsOnGrid-int:A-">selectMultipleRecordsOnGrid</a></span>(int[]&nbsp;indexesToBeSelected)</code>&nbsp;</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#selectWithoutFiltering-int-">selectWithoutFiltering</a></span>(int&nbsp;row)</code>&nbsp;</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#startEditionOnGrid-int-">startEditionOnGrid</a></span>(int&nbsp;row)</code>&nbsp;</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#switchToGridView--">switchToGridView</a></span>()</code>
<div class="block">Switch to grid view and wait until the grid has been loaded.</div>
</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#unselectAll--">unselectAll</a></span>()</code>
<div class="block">Unselect all records.</div>
</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitForDataToLoad--">waitForDataToLoad</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitForFormView--">waitForFormView</a></span>()</code>
<div class="block">Wait for the form to appear.</div>
</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitForGridView--">waitForGridView</a></span>()</code>
<div class="block">Wait for the grid to appear.</div>
</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitUntilGridEditFormIsVisible--">waitUntilGridEditFormIsVisible</a></span>()</code>
<div class="block">Wait for the grid edit form to be visible.</div>
</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitUntilMessageVisible--">waitUntilMessageVisible</a></span>()</code>
<div class="block">Wait for a message to appear.</div>
</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitUntilSavedOrErrorOnForm--">waitUntilSavedOrErrorOnForm</a></span>()</code>
<div class="block">Wait until the saved message or an error appears.</div>
</td>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitUntilSavedOrErrorOnGrid--">waitUntilSavedOrErrorOnGrid</a></span>()</code>
<div class="block">Wait for the record was saved or an error occurred.</div>
</td>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html#waitUntilSelected--">waitUntilSelected</a></span>()</code>
<div class="block">Wait until the tab has been selected.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">Canvas</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#cleanSmartClientLocator-java.lang.String-">cleanSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#click--">click</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#focus--">focus</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getAttribute-com.openbravo.test.integration.selenium.Attribute-">getAttribute</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getInformationForLog--">getInformationForLog</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getObjectString--">getObjectString</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getSmartClientLocator--">getSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getText--">getText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#getTitle--">getTitle</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#hideMenuClick--">hideMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabled--">isEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isEnabledSmartClient--">isEnabledSmartClient</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isFocused--">isFocused</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isPresent--">isPresent</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#isVisible--">isVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressDelete--">pressDelete</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressEnter--">pressEnter</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#pressTab--">pressTab</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToBottom--">scrollToBottom</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#scrollToTop--">scrollToTop</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#showMenuClick--">showMenuClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientBlur--">smartClientBlur</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientClick--">smartClientClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#smartClientSetValue-java.lang.String-">smartClientSetValue</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#virtualClick--">virtualClick</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilEnabled--">waitUntilEnabled</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilLoaded--">waitUntilLoaded</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilNotVisible--">waitUntilNotVisible</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Canvas.html#waitUntilVisible--">waitUntilVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="OBStandardView-java.lang.String-java.lang.Boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>OBStandardView</h4>
<pre>public&nbsp;OBStandardView(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier,
                      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a>&nbsp;waitForLoad)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabIdentifier</code> - The tab identifier.</dd>
<dd><code>waitForLoad</code> - Set to true if it is required to wait until it is loaded</dd>
</dl>
</li>
</ul>
<a name="OBStandardView-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OBStandardView</h4>
<pre>public&nbsp;OBStandardView(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;tabIdentifier)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tabIdentifier</code> - The tab identifier.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isOnFormView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOnFormView</h4>
<pre>public&nbsp;boolean&nbsp;isOnFormView()</pre>
<div class="block">Returns true if this tab is on form view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the tab is on form view. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="waitForFormView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForFormView</h4>
<pre>public&nbsp;void&nbsp;waitForFormView()</pre>
<div class="block">Wait for the form to appear.</div>
</li>
</ul>
<a name="waitForGridView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForGridView</h4>
<pre>public&nbsp;void&nbsp;waitForGridView()</pre>
<div class="block">Wait for the grid to appear.</div>
</li>
</ul>
<a name="isOnGridView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOnGridView</h4>
<pre>public&nbsp;boolean&nbsp;isOnGridView()</pre>
<div class="block">Returns true if this tab is on form grid.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the tab is on grid view. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="switchToGridView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>switchToGridView</h4>
<pre>public&nbsp;void&nbsp;switchToGridView()</pre>
<div class="block">Switch to grid view and wait until the grid has been loaded.</div>
</li>
</ul>
<a name="waitForDataToLoad--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitForDataToLoad</h4>
<pre>public&nbsp;void&nbsp;waitForDataToLoad()</pre>
</li>
</ul>
<a name="getForm--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForm</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">OBForm</a>&nbsp;getForm()</pre>
<div class="block">Get the form component.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the form component.</dd>
</dl>
</li>
</ul>
<a name="getRecordCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRecordCount</h4>
<pre>public&nbsp;int&nbsp;getRecordCount()</pre>
<div class="block">Get the number of records in the tab.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The number of records in the tab.</dd>
</dl>
</li>
</ul>
<a name="getData--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;getData()</pre>
<div class="block">Get the data of the selected record in this view.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the record data.</dd>
</dl>
</li>
</ul>
<a name="getData-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getData</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getData(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;field)</pre>
<div class="block">Get a data field of the selected record in this tab.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>field</code> - The name of the field to get.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the field.</dd>
</dl>
</li>
</ul>
<a name="filter-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="filter-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>filter</h4>
<pre>public&nbsp;void&nbsp;filter(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Filter the grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the values of the filter.</dd>
</dl>
</li>
</ul>
<a name="pickRecordInFilterDropDown-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pickRecordInFilterDropDown</h4>
<pre>public&nbsp;void&nbsp;pickRecordInFilterDropDown(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName,
                                       int&nbsp;recordNo)</pre>
</li>
</ul>
<a name="openFilterDropDown-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFilterDropDown</h4>
<pre>public&nbsp;int&nbsp;openFilterDropDown(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;columnName)</pre>
</li>
</ul>
<a name="clearFilters--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearFilters</h4>
<pre>public&nbsp;void&nbsp;clearFilters()</pre>
<div class="block">Clear the filters.</div>
</li>
</ul>
<a name="unselectAll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>unselectAll</h4>
<pre>public&nbsp;void&nbsp;unselectAll()</pre>
<div class="block">Unselect all records.</div>
</li>
</ul>
<a name="select-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="select-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>select</h4>
<pre>public&nbsp;void&nbsp;select(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Select a record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the values of the record to select.</dd>
</dl>
</li>
</ul>
<a name="fillForm-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="fillForm-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillForm</h4>
<pre>public&nbsp;void&nbsp;fillForm(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Fill the record data on the form.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the values to fill.</dd>
</dl>
</li>
</ul>
<a name="fillRow-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="fillRow-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillRow</h4>
<pre>public&nbsp;void&nbsp;fillRow(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Fill the edition row on the grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the values to fill.</dd>
</dl>
</li>
</ul>
<a name="deleteOnGridWithShortcut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOnGridWithShortcut</h4>
<pre>public&nbsp;void&nbsp;deleteOnGridWithShortcut()</pre>
<div class="block">Delete the selected record from the grid using a shortcut</div>
</li>
</ul>
<a name="editRecord-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="editRecord-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editRecord</h4>
<pre>public&nbsp;void&nbsp;editRecord(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Edit the selected record from the form.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the edited values.</dd>
</dl>
</li>
</ul>
<a name="editOnGrid-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="editOnGrid-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOnGrid</h4>
<pre>public&nbsp;void&nbsp;editOnGrid(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Edit the selected record from the grid.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the edited values.</dd>
</dl>
</li>
</ul>
<a name="editOnForm-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="editOnForm-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOnForm</h4>
<pre>public&nbsp;void&nbsp;editOnForm(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Edit the selected record from the form.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the edited values.</dd>
</dl>
</li>
</ul>
<a name="assertData-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="assertData-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertData</h4>
<pre>public&nbsp;void&nbsp;assertData(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Assert the data the selected record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - The data object with the expected values.</dd>
</dl>
</li>
</ul>
<a name="assertDisplayLogicVisible-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertDisplayLogicVisible</h4>
<pre>public&nbsp;void&nbsp;assertDisplayLogicVisible(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;visibleDisplayLogic)</pre>
<div class="block">Assert display logic visibility</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>visibleDisplayLogic</code> - DataObject with the fields whose visibility has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertDisplayLogicEnabled-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertDisplayLogicEnabled</h4>
<pre>public&nbsp;void&nbsp;assertDisplayLogicEnabled(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;enabledDisplayLogic)</pre>
<div class="block">Assert display logic enable status</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enabledDisplayLogic</code> - DataObject with the fields whose enable status has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertDisplayLogicExpanded-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertDisplayLogicExpanded</h4>
<pre>public&nbsp;void&nbsp;assertDisplayLogicExpanded(<a href="../../../../../../../../../com/openbravo/test/integration/erp/data/DataObject.html" title="class in com.openbravo.test.integration.erp.data">DataObject</a>&nbsp;expandedDisplayLogic)</pre>
<div class="block">Assert display logic expanded status</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expandedDisplayLogic</code> - DataObject with the fields whose expanded status has to be asserted.</dd>
</dl>
</li>
</ul>
<a name="assertOnGrid-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="assertOnGrid-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertOnGrid</h4>
<pre>public&nbsp;void&nbsp;assertOnGrid(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Assert the data the selected grid record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - The data object with the expected values.</dd>
</dl>
</li>
</ul>
<a name="assertFilterValue-java.lang.String-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertFilterValue</h4>
<pre>public&nbsp;void&nbsp;assertFilterValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
                              <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;expectedValue)</pre>
<div class="block">Assert filter value</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fieldName</code> - The name of the field whose filter value will be compared.</dd>
<dd><code>expectedValue</code> - Object with the expected value.</dd>
</dl>
</li>
</ul>
<a name="assertOnForm-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="assertOnForm-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertOnForm</h4>
<pre>public&nbsp;void&nbsp;assertOnForm(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Assert on form view the data the selected record.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - The data object with the expected values.</dd>
</dl>
</li>
</ul>
<a name="open--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>open</h4>
<pre>public&nbsp;void&nbsp;open()</pre>
<div class="block">Open the selected record.</div>
</li>
</ul>
<a name="closeForm--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeForm</h4>
<pre>public&nbsp;void&nbsp;closeForm()</pre>
<div class="block">Close the form and wait for the grid to appear.</div>
</li>
</ul>
<a name="assertCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertCount</h4>
<pre>public&nbsp;void&nbsp;assertCount(int&nbsp;expectedCount)</pre>
<div class="block">Assert the number of records in the tab.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>expectedCount</code> - The expected number of records.</dd>
</dl>
</li>
</ul>
<a name="getMessageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessageContents</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMessageContents()</pre>
<div class="block">Get the contents of the message displayed in the message bar.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the contents of the message displayed in the message bar.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully()</pre>
<div class="block">Assert that the process completed successfully.</div>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully2--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully2</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully2()</pre>
<div class="block">Assert that the process completed successfully.
 
 TODO see issue 17291 - https://issues.openbravo.com/view.php?id=17291.</div>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully2-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully2</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully2(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert the process completed successfully message.
 
 TODO see issue 17291 - https://issues.openbravo.com/view.php?id=17291.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected message body.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfully-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfully</h4>
<pre>public&nbsp;void&nbsp;assertProcessCompletedSuccessfully(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert that the process completed successfully.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - The expected message body.</dd>
</dl>
</li>
</ul>
<a name="assertProcessCompletedSuccessfullyContentMatch-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertProcessCompletedSuccessfullyContentMatch</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;assertProcessCompletedSuccessfullyContentMatch(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Assert the process completed successfully message, using regular expression to match the body.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>message</code> - A regular expression for the expected message body.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list with all the capturing groups of the regular expression.</dd>
</dl>
</li>
</ul>
<a name="assertErrorFieldsContainIllegalValues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertErrorFieldsContainIllegalValues</h4>
<pre>public&nbsp;void&nbsp;assertErrorFieldsContainIllegalValues()</pre>
<div class="block">Assert that the error message was shown because some fields contain illegal values.</div>
</li>
</ul>
<a name="assertErrorMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertErrorMessage</h4>
<pre>public&nbsp;void&nbsp;assertErrorMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;errorMessage)</pre>
<div class="block">Assert that an error message is shown .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>errorMessage</code> - The error message that has to be asserted</dd>
</dl>
</li>
</ul>
<a name="assertWarningMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertWarningMessage</h4>
<pre>public&nbsp;void&nbsp;assertWarningMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;warningMessage)</pre>
<div class="block">Assert that a warning message is shown .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>warningMessage</code> - The warning message that has to be asserted</dd>
</dl>
</li>
</ul>
<a name="assertInfoMessage-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertInfoMessage</h4>
<pre>public&nbsp;void&nbsp;assertInfoMessage(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;infoMessage)</pre>
<div class="block">Assert that an info message is shown .</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>infoMessage</code> - The informative message that has to be asserted</dd>
</dl>
</li>
</ul>
<a name="assertSaved--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertSaved</h4>
<pre>public&nbsp;void&nbsp;assertSaved()</pre>
<div class="block">Assert that the status bar shows the saved message.</div>
</li>
</ul>
<a name="assertNotInEditMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertNotInEditMode</h4>
<pre>public&nbsp;void&nbsp;assertNotInEditMode()</pre>
</li>
</ul>
<a name="assertInEditMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertInEditMode</h4>
<pre>public&nbsp;void&nbsp;assertInEditMode()</pre>
</li>
</ul>
<a name="assertNewMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>assertNewMode</h4>
<pre>public&nbsp;void&nbsp;assertNewMode()</pre>
<div class="block">Assert that the view is in new mode.</div>
</li>
</ul>
<a name="waitUntilSelected--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilSelected</h4>
<pre>public&nbsp;void&nbsp;waitUntilSelected()</pre>
<div class="block">Wait until the tab has been selected.</div>
</li>
</ul>
<a name="waitUntilMessageVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilMessageVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilMessageVisible()</pre>
<div class="block">Wait for a message to appear.</div>
</li>
</ul>
<a name="closeMessageIfVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeMessageIfVisible</h4>
<pre>public&nbsp;void&nbsp;closeMessageIfVisible()</pre>
</li>
</ul>
<a name="waitUntilGridEditFormIsVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilGridEditFormIsVisible</h4>
<pre>public&nbsp;void&nbsp;waitUntilGridEditFormIsVisible()</pre>
<div class="block">Wait for the grid edit form to be visible.</div>
</li>
</ul>
<a name="waitUntilSavedOrErrorOnForm--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilSavedOrErrorOnForm</h4>
<pre>public&nbsp;void&nbsp;waitUntilSavedOrErrorOnForm()</pre>
<div class="block">Wait until the saved message or an error appears.</div>
</li>
</ul>
<a name="waitUntilSavedOrErrorOnGrid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>waitUntilSavedOrErrorOnGrid</h4>
<pre>public&nbsp;void&nbsp;waitUntilSavedOrErrorOnGrid()</pre>
<div class="block">Wait for the record was saved or an error occurred.</div>
</li>
</ul>
<a name="selectAllRecordsOneCheckboxOnGrid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectAllRecordsOneCheckboxOnGrid</h4>
<pre>public&nbsp;void&nbsp;selectAllRecordsOneCheckboxOnGrid()</pre>
</li>
</ul>
<a name="selectMultipleRecordsOnGrid-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectMultipleRecordsOnGrid</h4>
<pre>public&nbsp;void&nbsp;selectMultipleRecordsOnGrid(int[]&nbsp;indexesToBeSelected)</pre>
</li>
</ul>
<a name="cancelOnGridWithShortcut--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancelOnGridWithShortcut</h4>
<pre>public&nbsp;void&nbsp;cancelOnGridWithShortcut()</pre>
</li>
</ul>
<a name="startEditionOnGrid-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startEditionOnGrid</h4>
<pre>public&nbsp;void&nbsp;startEditionOnGrid(int&nbsp;row)</pre>
</li>
</ul>
<a name="moveToNextRecordWhileEditingInGrid--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveToNextRecordWhileEditingInGrid</h4>
<pre>public&nbsp;void&nbsp;moveToNextRecordWhileEditingInGrid()</pre>
</li>
</ul>
<a name="getField-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getField</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a>&nbsp;getField(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fieldName,
                           boolean&nbsp;onlyAllowTextItems)</pre>
</li>
</ul>
<a name="deleteOnGridUsingContextualMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteOnGridUsingContextualMenu</h4>
<pre>public&nbsp;void&nbsp;deleteOnGridUsingContextualMenu()</pre>
</li>
</ul>
<a name="editOnGridUsingContextualMenu-com.openbravo.test.integration.erp.data.DataObject-">
<!--   -->
</a><a name="editOnGridUsingContextualMenu-T-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>editOnGridUsingContextualMenu</h4>
<pre>public&nbsp;void&nbsp;editOnGridUsingContextualMenu(<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" title="type parameter in OBStandardView">T</a>&nbsp;dataObject)</pre>
<div class="block">Edit the selected record from the grid using the contextual menu.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataObject</code> - Data object with the edited values.</dd>
</dl>
</li>
</ul>
<a name="selectWithoutFiltering-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>selectWithoutFiltering</h4>
<pre>public&nbsp;void&nbsp;selectWithoutFiltering(int&nbsp;row)</pre>
</li>
</ul>
<a name="openFirstRecordInFormWithDoubleClick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openFirstRecordInFormWithDoubleClick</h4>
<pre>public&nbsp;void&nbsp;openFirstRecordInFormWithDoubleClick()</pre>
</li>
</ul>
<a name="createOnGridWithContextualMenu--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOnGridWithContextualMenu</h4>
<pre>public&nbsp;void&nbsp;createOnGridWithContextualMenu()</pre>
</li>
</ul>
<a name="createOnGridWithShortcut--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createOnGridWithShortcut</h4>
<pre>public&nbsp;void&nbsp;createOnGridWithShortcut()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBParameterWindowForm.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/OBStatusBar.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/OBStandardView.html" target="_top">Frames</a></li>
<li><a href="OBStandardView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.Canvas">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
